commit:     83922331c5577cef5e214c65d823a776b3bcaec9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 22:49:53 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 22:55:29 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83922331

net-misc/geoipupdate: add 6.1.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/geoipupdate/Manifest                 |  2 ++
 net-misc/geoipupdate/geoipupdate-6.1.0.ebuild | 44 +++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/net-misc/geoipupdate/Manifest b/net-misc/geoipupdate/Manifest
index 144cc79d607b..2a432023cafd 100644
--- a/net-misc/geoipupdate/Manifest
+++ b/net-misc/geoipupdate/Manifest
@@ -2,3 +2,5 @@ DIST geoipupdate-4.9.0-deps.tar.xz 911156 BLAKE2B 
136df3a0e94ab0934b48e8860b152e
 DIST geoipupdate-4.9.0.tar.gz 36646 BLAKE2B 
9eb5e16c39e8c599d3b0fa60804f179d1fb726c44f9f4ed4ed6ff3b853c31c9dece809dcd690e14157f1290c4a9088e696e967f3baeeb7f2762638c70aad6b6a
 SHA512 
29d0639fe636885b1527b4cb795332c103c011d028ada80eb7b07805d91f575554fc0b9fa9a506c644236a2ceab5509f54f0cc1a03a300480350c520484d959c
 DIST geoipupdate-6.0.0-deps.tar.xz 864256 BLAKE2B 
6f9a7adf4bfef6c38a06b3f5e8b49362218dd8b698eec29921ac1d587094c49b26bc307924327600cb06327aae7171a6865cc79134eddee9e08004a82dfcbb84
 SHA512 
678ecb798b9b736a82d3e2b64c426e966408bbf3858a32e84dd142f0392444248c34c78dec07a5f8c0f04752c965c5cfb1602d96a541462e40a4c84039c71237
 DIST geoipupdate-6.0.0.tar.gz 46523 BLAKE2B 
ff14026acf39797f69b7cde527c826b78740a65ac4e0914cdffc6276473e3f4367e87e962dfa4634114b7f5b02c33a4a8e675518f4de85238a2342cb367c9f25
 SHA512 
2b2a6573b6af30ad1ad4c8ed3b97df41bba96212a0e6d90e4a92bd0615f02c9e989168ad56a651d8f35a7d2534e223de5a6f8a34d587f3c8a7a8e19f3b913ca4
+DIST geoipupdate-6.1.0-deps.tar.xz 866588 BLAKE2B 
aabda8132d0f8866e3450b5c2f07dccc7b1555cac0a987fea48ffe3f07a8c66c72bb41ca1478d47f03cb61bd29a6183bd0621126222decc4e29b8525c3ba991e
 SHA512 
4a03b35258dc77659471299fe119da1e435b1360df08b0b8a19f6374e3880c1c6153fcdb5146f74900ebf540c2c66a3007228f05b702f526ed9e75e01f51f98d
+DIST geoipupdate-6.1.0.tar.gz 47557 BLAKE2B 
ef33058f8504c06dc2c2a350421866cd88a6b87624874cf6bd29d99c77637c3b99468a6ba615d71310e0c5d49d6ee2820d9a3841c1127437fa602864a014d77d
 SHA512 
b20a3101fb055ed71fe999fe924b71f6d0eb76da8bc4444f7281a3deceac1ee7d1854f3d672b93edabf152cc69551933dd951419ab484259d47f56b243e568eb

diff --git a/net-misc/geoipupdate/geoipupdate-6.1.0.ebuild 
b/net-misc/geoipupdate/geoipupdate-6.1.0.ebuild
new file mode 100644
index 000000000000..c0e08724e787
--- /dev/null
+++ b/net-misc/geoipupdate/geoipupdate-6.1.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Performs automatic updates of GeoIP2 and GeoIP Legacy binary 
databases"
+HOMEPAGE="https://github.com/maxmind/geoipupdate";
+SRC_URI="https://github.com/maxmind/geoipupdate/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI+=" 
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz";
+
+LICENSE="ISC BSD BSD-2 MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~s390 ~x86"
+
+DOCS=( README.md CHANGELOG.md doc/GeoIP.conf.md doc/geoipupdate.md )
+
+src_compile() {
+       # Do not let these leak from outside into the package
+       unset GOBIN GOPATH GOCODE
+
+       # requires pandoc but the information is still in the distributed md 
files
+       sed -i -e '/GeoIP.conf.5 /d' -e '/geoipupdate.1$/d' Makefile || die
+       #sed -i -e 's/go build/go build -x/' Makefile || die
+
+       # the horror, the horror ... but it's all automagic
+       export CONFFILE=/etc/GeoIP.conf
+       export DATADIR=/usr/share/GeoIP
+       export VERSION=${PV}
+
+       default
+}
+
+src_install() {
+       dobin build/geoipupdate
+
+       keepdir /usr/share/GeoIP
+
+       insinto /etc
+       doins build/GeoIP.conf
+
+       einstalldocs
+}

Reply via email to